%{?nodejs_find_provides_and_requires}

%global packagename qunit-extras
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.5.0
Release: 1%{?dist}.3
Summary: Extends QUnit with extra features and CLI support
License: MIT
URL: https://github.com/jdalton/qunit-extras
# Fetching source from Github because tarball from NPM registry lacks
# files needed for tests.
Source0: https://github.com/jdalton/%{packagename}/archive/%{version}/%{packagename}-%{version}.tar.gz
Patch0: nodejs-qunit-extras-fix-test.patch
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(qunitjs) >= 1.22.0
BuildRequires: npm(qunitjs) < 1.23.0
%endif

%description
Extends QUnit with extra features and CLI support.


%prep
%setup -q -n %{packagename}-%{version}
%patch0 -p1


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/test.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.5.0-1
- Initial package.
